Users
Invite a new user
Authorization
bearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.miracle.com/v1/users/invite" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "displayName": "string", "layer": "merchant", "entityScope": { "type": "all" } }'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
"externalIdpId": "string",
"email": "user@example.com",
"displayName": "string",
"status": "pending_invitation",
"layer": "merchant",
"entityScope": {
"type": "all"
},
"mfaEnabled": true,
"lastLoginAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e"
}
}Empty
Empty